from pydantic import BaseModel, Field


class DbConfig(BaseModel):
    name: str = Field(description="db name")
    port: int = Field(description="db server port")
    host: str = Field(description="db server ip/hostname")
    username: str = Field(description="username to connect with")
    password: str = Field(description="password to connect with1")
